POST
/
v2
/
automation
/
devices
/
{device_id}
/
actions
Create ad-hoc action
curl --request POST \
  --url https://coreapi-dev.us.bcpapers.ca/v2/automation/devices/{device_id}/actions \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "item_type": "<string>",
  "params": [
    123
  ]
}
'
{
  "action_id": "<string>",
  "item_type": "<string>",
  "result": [
    123
  ],
  "result_url": "<string>",
  "state": "<string>",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

Paste the JWT token only (no "Bearer " prefix needed — the UI adds it automatically).

Path Parameters

device_id
string
required

Device UUID

Body

application/json

Item type and optional params

item_type
string
params
integer[]

Response

Accepted

action_id
string
item_type
string
result
integer[]
result_url
string
state
string
status
string